Bug 70737 - ps2ascii fails on http://www.xs4all.nl/~wrvh/treasure/tex/texbook.ps
ps2ascii fails on http://www.xs4all.nl/~wrvh/treasure/tex/texbook.ps
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ghostscript (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
http://www.xs4all.nl/~wrvh/treasure/t...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-04 12:34 EDT by Aleksey Nogin
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: ghostscript-8.15.2-1.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-24 03:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2002-08-04 12:34:55 EDT
I've reported this on gnu.ghostscript.bug newsgroup:

-------

When trying to run ps2ascii on
http://www.xs4all.nl/~wrvh/treasure/tex/texbook.ps, I get:

% ps2ascii texbook.ps
Error: /undefined in ch-xoff
Operand stack:
   --nostringval--   --nostringval--   --nostringval-- --nostringval--   0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval-- --nostringval--
  2   %stopped_push   --nostringval--   --nostringval--   --nostringval--  
false   1   %stopped_push   2   3   %oparray_pop 2   3   %oparray_pop   2   3  
%oparray_pop   .runexec2 --nostringval--   --nostringval--   --nostringval--   2
  %stopped_push   --nostringval--   --nostringval--   --nostringval--  
--nostringval--
Dictionary stack:
   --dict:1106/1123(ro)(G)--   --dict:0/20(G)--   --dict:92/200(L)--
--dict:94/300(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 4601
GNU Ghostscript 7.05: Unrecoverable error, exit code 1

I get the same error with 6.52 (on Red Hat Linux 7.3):

% ps2ascii texbook.ps
Error: /undefined in ch-xoff
Operand stack:
   --nostringval--   --nostringval--   --nostringval-- --nostringval--   0
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval-- --nostringval--
  2   %stopped_push   --nostringval--   --nostringval--   --nostringval--  
false   1   %stopped_push   2   3   %oparray_pop 2   3   %oparray_pop   2   3  
%oparray_pop   .runexec2 --nostringval--   --nostringval--   --nostringval--   2
  %stopped_push   --nostringval--   --nostringval--   --nostringval--  
--nostringval--
Dictionary stack:
   --dict:1092/1476(ro)(G)--   --dict:0/20(G)--   --dict:87/200(L)--
--dict:94/300(L)--
Current allocation mode is local
Last OS error: 2
Current file position is 4601
GNU Ghostscript 6.52: Unrecoverable error, exit code 1

-------
Comment 1 Aleksey Nogin 2004-11-29 11:28:35 EST
Still there in ghostscript-7.07-33
Comment 2 petrosyan 2005-06-16 13:00:06 EDT
This bug has been fixed in ghostscript-8.15-0.rc3.3 which is available in Fedora
 Core development.
Comment 3 Peter van Egdom 2006-06-24 03:48:22 EDT
Confirmed fixed in "ghostscript-8.15.2-1.1" on Fedora Core release 5 :

[peterve@peanut ~]$ ps2ascii -version
ESP Ghostscript 8.15.2 (2006-04-19)
Copyright (C) 2004 artofcode LLC, Benicia, CA.  All rights reserved.
[peterve@peanut ~]$ ps2ascii texbook.ps test.txt
[peterve@peanut ~]$ echo $?
0
[peterve@peanut ~]$ rpm -q ghostscript
ghostscript-8.15.2-1.1

Note You need to log in before you can comment on or make changes to this bug.